Bug 1467699 - [cli] (degenerate) case of running "pcs cluster stop" on a single node cluster should either not complain about quorum loss, or suggest --all rather than --force
[cli] (degenerate) case of running "pcs cluster stop" on a single node cluste...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.4
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Tomas Jelinek
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 12:30 EDT by Jan Pokorný
Modified: 2017-07-21 07:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2017-07-04 12:30:35 EDT
There's no real notion of quorum in such a case, hence the warning

> Error: Stopping the node will cause a loss of the quorum, use --force
> to override

doesn't make much sense (at least without quorum devices at play).

Furthermore, it might be wise to suggest --all with an "if you indeed
want to stop whole cluster (X nodes) at once" subtext all the time,
because "cluster stop" may be the first choice when one wants to
achive exactly this objective :)
Comment 2 Tomas Jelinek 2017-07-10 11:21:01 EDT
(In reply to Jan Pokorný from comment #0)
> There's no real notion of quorum in such a case, hence the warning
> 
> > Error: Stopping the node will cause a loss of the quorum, use --force
> > to override
> 
> doesn't make much sense (at least without quorum devices at play).

Running a one-node cluster doesn't make much sense either as it's not really HA.


> Furthermore, it might be wise to suggest --all with an "if you indeed
> want to stop whole cluster (X nodes) at once" subtext all the time,
> because "cluster stop" may be the first choice when one wants to
> achieve exactly this objective :)

Fair point, we can add this. And I would also consider it a fix for the one-node cluster case.
Comment 3 Jan Pokorný 2017-07-11 15:49:59 EDT
Re [comment 2]:

> Running a one-node cluster doesn't make much sense either as it's
> not really HA.

That shifts discussion out of the scope -- can pcs bring you a single
node setup?  Certainly yes in the current shape.

Note You need to log in before you can comment on or make changes to this bug.